<?php
namespace Teknisa\PLA\Modules\Parametros\Services;

use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;

class Pla13300ItensParaRateioDeEfetivosService{

    protected $crudService;
    protected $entityManager;
    protected $environment;
    protected $dataSourceManager;
    protected $connection;

    public function __construct($crudService, EntityManager $entityManager, $environment, DataSource\Manager $dataSourceManager) {
        $this->crudService       = $crudService;
        $this->entityManager     = $entityManager;
        $this->environment       = $environment;
        $this->dataSourceManager = $dataSourceManager;
        $this->connection        = $entityManager->getConnection();
    }
    
    private function save($dataSet, $dataSourceName) {
        $dataSet = new DataSet($dataSourceName, $dataSet);
        $request = new DTO\Request\DataSet($dataSet, "", "", "");
        $rowsToSave = $this->crudService->getRowsToSave($request, $dataSourceName);
        $dataSet = new DataSet($dataSourceName, $rowsToSave);
        $this->dataSourceManager->persist($dataSet);
    }
    
    public function saveItemEfetivo($itemEfet){
        $itemSave = array($itemEfet);
        $this->save($itemSave, "itemrateioefet");
    }
}